/*

stack.cc -- basic file for the iterations in the iRRAM library
 
Copyright (C) 2001-2003 Norbert Mueller
 
This file is part of the iRRAM Library.
 
The iRRAM Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Library General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.
 
The iRRAM Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.
 
You should have received a copy of the GNU Library General Public License
along with the iRRAM Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA. 
*/

#include <math.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

#include "iRRAM_core.h"


//*************************************************************************************
// runtime identification of the iRRAM version, cf. iRRAM_version.h
//*************************************************************************************

const char* iRRAM_VERSION_rt = iRRAM_VERSION_ct;



//*************************************************************************************
// constructor ITERATION_STACK
//*************************************************************************************

ITERATION_STACK::ITERATION_STACK() {
prec_diff=0;
prec_policy=0;
//printf("Neuer Stack angelegt\n");
}

//*************************************************************************************
// destructor ITERATION_STACK
//*************************************************************************************

ITERATION_STACK::~ITERATION_STACK()
{
//fprintf(stderr,"Destruktor ITERATION_STACK\n");
}

ITERATION_STACK * ACTUAL_STACK;

ITERATION_STACK MAIN_STACK;
unsigned long int METRIC_OBJECT_COUNT=0;

//*************************************************************************************
// instantiation of some iRRAM_exec routines
//*************************************************************************************

template double iRRAM_exec <double,double> (double (*) (double),double);
template long   iRRAM_exec <long,long> (long (*) (long),long);
