#include "iRRAM.h"

/* Compute iteration by J.M.Muller */

void compute(){
  int test,count;
  rprintf("JMM-example: c=111-(1130-3000/a)/b\n");
  rprintf("How many values: ");
  rscanf("%d",&count);
  rprintf("\n");

  REAL     ar= REAL(11)/2,     br=REAL(61)/11,     cr;
  RATIONAL aq= RATIONAL(11)/2, bq=RATIONAL(61)/11, cq;
  double   ad= double(11)/2,   bd=double(61)/11,   cd;
  for (long i=0;i<=count;i++ ) {
    rprintf("%f %f %f %d\n", ad, double(REAL(aq)), double(ar), i);
    cr=111-(1130-3000/ar)/br;    ar=br; br=cr;   
    cd=111-(1130-3000/ad)/bd;    ad=bd; bd=cd;   
    cq=111-(1130-3000/aq)/bq;    aq=bq; bq=cq;   
  }
};
